# $Revision: 1.48 $, $Date: 2012/03/03 18:44:50 $
# TODO:
# - external libraries packages (is there any sense in that?)
#
%define		snap	20110704
%define		rel	7
Summary:	Cinelerra - capturing, editing and production of audio/video material
Summary(pl.UTF-8):	Cinelerra - nagrywanie, obróbka i produkcja materiału audio/video
Name:		cinelerra-cv
Version:	2.1
Release:	0.%{snap}.%{rel}
License:	GPL
Group:		X11/Applications
# git clone git://git.cinelerra.org/j6t/cinelerra.git cinelerra-cv
Source0:	%{name}-%{snap}.tar.bz2
# Source0-md5:	99a1936170a2e5d211bea0fd628b09ae
Patch0:		%{name}-build.patch
Patch1:		%{name}-desktop.patch
# http://bugs.cinelerra.org/raw-attachment/ticket/949/remove-support-v4l-buzz-k2-6-38.diff
Patch2:		remove-support-v4l-buzz-k2-6-38.diff
Patch3:		%{name}-ffmpeg.patch
URL:		http://cinelerra.org/
BuildRequires:	OpenEXR-devel >= 1.2.1
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	a52dec-libs-devel
BuildRequires:	alsa-lib-devel >= 1.0.8
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.7.1
BuildRequires:	fftw3-devel
BuildRequires:	freetype-devel >= 2.1.4
BuildRequires:	gettext-devel
BuildRequires:	lame-libs-devel >= 3.93.1
BuildRequires:	libavc1394-devel >= 0.5.1
BuildRequires:	libdv-devel
BuildRequires:	libiec61883-devel >= 1.0.0
#BuildRequires:	libmpeg3-devel >= 1.7
BuildRequires:	libpng-devel >= 2:1.4.0
BuildRequires:	libraw1394-devel >= 1.2.0
BuildRequires:	libsndfile-devel >= 1.0.11
BuildRequires:	libstdc++-devel >= 5:3.2.2
BuildRequires:	libtheora-devel >= 1.0-0.alpha4
BuildRequires:	libtiff-devel >= 3.5.7
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	mjpegtools-devel
BuildRequires:	pkgconfig
%ifarch %{ix86} %{x8664}
BuildRequires:	nasm
%endif
#BuildRequires:	quicktime4linux-devel >= 2.2
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Requires:	OpenEXR >= 1.2.1
Requires:	alsa-lib >= 1.0.8
Requires:	freetype >= 2.1.4
Requires:	libavc1394 >= 0.5.1
Requires:	libiec61883 >= 1.0.0
#Requires:	libmpeg3 >= 1.7
Requires:	libraw1394 >= 1.2.0
Requires:	libsndfile >= 1.0.11
Requires:	libtheora >= 1.0-0.alpha4
#Requires:	quicktime4linux >= 2.2
Obsoletes:	bcast
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*/microtheme.plugin

%description
There are two types of moviegoers: producers who create new content,
going back over their content at future points for further refinement,
and consumers who want to acquire the content and watch it. Cinelerra
is not intended for consumers. Cinelerra has many features for
uncompressed content, high resolution processing, and compositing,
with very few shortcuts. Producers need these features because of the
need to retouch many generations of footage with alterations to the
format, which makes Cinelerra very complex.

Cinelerra was meant to be a Broadcast 2000 replacement.

This is Community Version.

%description -l pl.UTF-8
Są dwa rodzaje użytkowników zajmujących się filmami: producenci
tworzący nowe filmy, wracający do nich w przyszłości w celu dalszego
wygładzenia, oraz konsumenci, którzy chcą tylko zdobyć film i go
obejrzeć. Cinelerra nie jest dla konsumentów. Program ma wiele
możliwości do edycji nieskompresowanej zawartości, obróbki w wysokiej
rozdzielczości oraz montażu, z bardzo małą liczbą skrótów. Producenci
potrzebują tych możliwości ze względu na konieczność retuszowania oraz
modyfikacji formatu, co czyni program bardzo złożonym.

Cinelerra była tworzona z myślą o zastąpieniu programu Broadcast 2000.

Wersja społecznościowa.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

find -name Makefile.am | xargs %{__sed} -i -e 's#^LIBTOOL =.*##g'

%build
rm -f m4/*.m4 *.m4
touch config.rpath
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}

%configure \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/freetype2" \
	CXXFLAGS="%{rpmcxxflags} -D__STDC_CONSTANT_MACROS=1" \
%ifarch ppc
	--enable-altivec \
%endif
%ifarch %{ix86} %{x8664}
	--enable-mmx \
	--enable-3dnow \
%endif
	--disable-esd \
	--enable-freetype2 \
	--with-external-ffmpeg \
	--with-alsa-prefix=%{_prefix} \
	--with-fontsdir=%{_fontsdir} \
	--with-plugindir=%{_libdir}/cinelerra

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/cinelerra/fonts

%find_lang cinelerra

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f cinelerra.lang
%defattr(644,root,root,755)
%doc doc/* README* TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/cinelerra
%attr(755,root,root) %{_libdir}/cinelerra/*.so
%{_libdir}/cinelerra/*.la
%{_libdir}/cinelerra/shapewipe
%{_libdir}/cinelerra/fonts
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cinelerra-cv.spec,v $
Revision 1.48  2012/03/03 18:44:50  arekm
- release 7

Revision 1.47  2012/02/10 19:49:47  arekm
- release 6

Revision 1.46  2012/02/07 21:58:39  arekm
- release 5

Revision 1.45  2012/01/13 14:48:05  arekm
- release 4

Revision 1.44  2011/12/20 19:38:19  arekm
- release 3

Revision 1.43  2011/07/24 15:53:53  arekm
- release 2

Revision 1.42  2011/07/05 07:04:34  lisu
- ffmpeg-devel >= 0.7.1 required

Revision 1.41  2011/07/05 07:03:16  lisu
- fix build with new ffmpeg

Revision 1.40  2011/07/04 18:41:57  lisu
- up to 20110704

Revision 1.39  2011/06/28 17:54:21  arekm
- release 2

Revision 1.38  2011/04/06 18:56:37  arekm
- up to 20110406

Revision 1.37  2011/03/29 07:10:39  arekm
- release 11

Revision 1.36  2010/06/03 15:57:31  baggins
- rel 10
- more missing headers

Revision 1.35  2010/06/03 15:26:15  baggins
- rel 9
- remove ESD stanza from configure.in, it prevented rebuilding of ac/am stuff

Revision 1.34  2010/06/03 15:18:50  baggins
- rel 8
- esound is dead

Revision 1.33  2010/05/12 12:32:43  baggins
- rel  7
- fixed desktop categories

Revision 1.32  2010/04/26 07:23:29  arekm
- rel 6; build fix

Revision 1.31  2010/04/25 20:49:06  arekm
- release 5

Revision 1.30  2010/02/16 14:18:04  ankry
- fixes for newer libpng, rel .4

Revision 1.29  2010/02/12 10:33:27  amateja
- fixed mistake in sed expression

Revision 1.28  2010/02/12 10:23:11  amateja
- fixed build for libpng-1.4.0
- release 3

Revision 1.27  2010/02/06 20:58:17  arekm
- release 2

Revision 1.26  2010/01/09 17:41:47  sparky
- BR: OpenGL-GLU-devel, libpng-devel, pkgconfig
- nasm required on x86_64 also

Revision 1.25  2010/01/09 14:20:01  arekm
- up to 20100109

Revision 1.24  2010/01/03 02:49:55  glen
- release 4

Revision 1.23  2009/12/18 09:04:29  amateja
- bumped release up

Revision 1.22  2009/11/20 19:33:41  arekm
- rel .3

Revision 1.21  2009/07/15 04:46:27  glen
Revision 1.30  2008-01-13 12:18:45  qboosh
- R: OpenEXR, not -devel

Revision 1.20  2009/03/24 07:21:33  tommat
- new snap 20090324

Revision 1.19  2008/10/27 09:48:53  arekm
- up to 20081019 snap

Revision 1.18  2008/08/23 18:47:10  qboosh
- nl cleanup

Revision 1.17  2008/08/23 18:46:00  qboosh
- BR: sed 4; findutils already in rpm-build deps

Revision 1.16  2008/08/23 15:25:11  glen
- use xargs as sed can edit multiple files

Revision 1.15  2008/08/23 15:06:12  arekm
- rel 10

Revision 1.14  2008/08/23 14:04:46  arekm
- rel 9; fix sed rule

Revision 1.13  2008/08/23 12:10:02  arekm
- rel 8

Revision 1.12  2008/08/22 22:10:47  arekm
- rel .7

Revision 1.11  2008/02/18 20:19:01  arekm
- rel .6

Revision 1.10  2007-11-18 13:34:40  arekm
- rel .5

Revision 1.9  2007-02-13 06:46:49  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.7  2007/01/05 16:09:39  arekm
- rel .4

Revision 1.6  2006/12/17 00:12:22  arekm
- add BR OpenGL-devel, a52dec-libs-devel, fftw3-devel, libdv-devel, mjpegtools-devel

Revision 1.5  2006/12/16 23:47:54  arekm
- BR: ffmpeg-devel

Revision 1.4  2006/11/26 16:32:45  arekm
- rel 3; opengl is back

Revision 1.3  2006/11/26 16:01:14  arekm
- test with opengl disabled

Revision 1.2  2006/11/26 00:51:57  arekm
- regenerate gettext stuff

Revision 1.1  2006/11/26 00:29:00  arekm
- new; community version
